# List translations for a template

Endpoint: GET /v2/projects/{project_id}/templates/{template_id}/translations
Version: 2.0
Security: Basic, oAuth2

## Security:

  - `Basic` (unknown)
    http basic

  - `oAuth2` (unknown)
    oauth2

## Path parameters:

  - `project_id` (string, required)
    Required. The project ID.

  - `template_id` (string, required)
    Required. The ID of the template to fetch.

## Query parameters:

  - `language_code` (string)
    Optional. The translation's language code.

  - `translation_version` (string)
    Optional. The translation's version.

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `translations` (array)

  - `translations.language_code` (string)
    The BCP-47 language code, such as `en-US` or `sr-Latn`. For more information,
see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier.

  - `translations.version` (string)
    The version of the translation.
    Example: 1

  - `translations.channel_template_overrides` (object)
    Field to override the omnichannel template by referring to a channel-specific template.
The key in the map must point to a valid conversation channel.
Currently only `WHATSAPP` and `KAKAOTALK` are supported

  - `translations.variables` (array)
    List of expected variables. Can be used for request validation.

  - `translations.variables.key` (string)

  - `translations.variables.preview_value` (string)

  - `translations.create_time` (string)
    Timestamp when the translation was created.

  - `translations.update_time` (string)
    Timestamp of when the translation was updated.

  - `translations.card_message` (object)
    Message containing text, media and choices.

  - `translations.card_message.choices` (array)
    You may include choices in your Card Message. The number of choices is limited to 10.

  - `translations.card_message.choices.postback_data` (any)
    An optional field. This data will be returned in the ChoiceResponseMessage. The default is message_id_{text, title}.

  - `translations.card_message.choices.display_mode` (string)
    Controls the display behavior of a choice. Only supported for Choice Message on the RCS channel. Has no effect on other channels or message types, except for a carousel's outer choices, where it is rejected outright.
    Enum: "DISPLAY_MODE_UNSPECIFIED", "PERSISTENT"

  - `translations.card_message.choices.call_message` (object)

  - `translations.card_message.choices.call_message.phone_number` (string, required)
    Phone number in E.164 with leading +.
    Example: +15551231234

  - `translations.card_message.choices.call_message.title` (string, required)
    Title shown close to the phone number.
The title is clickable in some cases.
    Example: Message text

  - `translations.card_message.choices.location_message` (object)

  - `translations.card_message.choices.location_message.coordinates` (object, required)

  - `translations.card_message.choices.location_message.coordinates.latitude` (number, required)
    The latitude.

  - `translations.card_message.choices.location_message.coordinates.longitude` (number, required)
    The longitude.

  - `translations.card_message.choices.location_message.label` (string)
    Label or name for the position.

  - `translations.card_message.choices.location_message.title` (string, required)
    The title is shown close to the button or link that leads to a map showing the location. The title can be clickable in some cases.

  - `translations.card_message.choices.text_message` (object)

  - `translations.card_message.choices.text_message.text` (string, required)
    The text to be sent.

  - `translations.card_message.choices.url_message` (object)

  - `translations.card_message.choices.url_message.title` (string, required)
    The title shown close to the URL. The title can be clickable in some cases.

  - `translations.card_message.choices.url_message.url` (string, required)
    The url to show.

  - `translations.card_message.choices.calendar_message` (object)

  - `translations.card_message.choices.calendar_message.title` (string, required)
    The title is shown close to the button that leads to open a user calendar.

  - `translations.card_message.choices.calendar_message.event_start` (string, required)
    The timestamp defines start of a calendar event.
    Example: 2025-11-30T10:00:00Z

  - `translations.card_message.choices.calendar_message.event_end` (string, required)
    The timestamp defines end of a calendar event.
    Example: 2025-11-30T11:00:00Z

  - `translations.card_message.choices.calendar_message.event_title` (string, required)
    Title of a calendar event.

  - `translations.card_message.choices.calendar_message.event_description` (string)
    Description of a calendar event.

  - `translations.card_message.choices.calendar_message.fallback_url` (string, required)
    The URL that is opened when the user cannot open a calendar event directly or channel does not have support for this type.

  - `translations.card_message.choices.share_location_message` (object)

  - `translations.card_message.choices.share_location_message.title` (string, required)
    The title is shown close to the button that leads to open a map to share a location.

  - `translations.card_message.choices.share_location_message.fallback_url` (string, required)
    The URL that is opened when channel does not have support for this type.

  - `translations.card_message.description` (string)
    This is an optional description field that is displayed below the title on the card.

  - `translations.card_message.height` (string)
    You can set the desired size of the card in the message.
    Enum: "UNSPECIFIED_HEIGHT", "SHORT", "MEDIUM", "TALL"

  - `translations.card_message.title` (string)
    The title of the card message.

  - `translations.card_message.media_message` (object)
    A message containing a media component.

  - `translations.card_message.media_message.thumbnail_url` (string)
    An optional parameter. Will be used where it is natively supported.

  - `translations.card_message.media_message.url` (string, required)
    Url to the media file.

  - `translations.card_message.media_message.filename_override` (string)
    Overrides the media file name.

  - `translations.card_message.message_properties` (object)
    Optional additional properties.

  - `translations.card_message.message_properties.whatsapp_header` (string)
    Optional. Sets the header for the footer of a WhatsApp reply button message, if there is no media in the message. Ignored for other channels. Ignored if not transcoded to a native WhatsApp message with reply buttons.

  - `translations.carousel_message` (object)

  - `translations.carousel_message.cards` (array, required)
    A list of up to 10 cards.

  - `translations.carousel_message.choices` (array)
    Optional. Outer choices on the carousel level. The number of outer choices is limited to 3.

  - `translations.choice_message` (object)
    Additional properties for the message.

  - `translations.choice_message.choices` (array)
    The number of choices is limited to 10.

  - `translations.choice_message.text_message` (object)

  - `translations.choice_message.text_message.text` (string, required)
    The text to be sent.

  - `translations.choice_message.message_properties` (object)

  - `translations.choice_message.message_properties.whatsapp_footer` (string)
    Optional. Sets the text for the footer of a WhatsApp reply button or URL button message. Ignored for other channels.

  - `translations.template_message` (object)

  - `translations.template_message.channel_template` (object)
    Optional. Channel specific template reference with parameters per channel.
The channel template if exists overrides the omnichannel template.
At least one of `channel_template` or `omni_template` needs to be present.
The key in the map must point to a valid conversation channel as
defined by the enum ConversationChannel.

  - `translations.template_message.omni_template` (object)
    The referenced template can be an omnichannel template stored in Conversation API Template Store as an AppMessage. You may also reference external channel-specific templates, such as a WhatsApp Business Template. Note that channel-specific template references are not supported when populating the `explicit_channel_omni_message` field.

  - `translations.template_message.omni_template.version` (string, required)
    Used to specify what version of a template to use. Required when using `omni_channel_override` and `omni_template` fields.
This will be used in conjunction with `language_code`. Note that, when referencing omni-channel templates using the [Sinch Customer Dashboard](https://dashboard.sinch.com/), the latest version of a given omni-template can be identified by populating this field with `latest`.

  - `translations.template_message.omni_template.language_code` (string)
    The BCP-47 language code, such as `en_US` or `sr_Latn`.
For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. English is the default `language_code`.
Note that, while many API calls involving templates accept either the dashed format (`en-US`) or the underscored format (`en_US`), some channel specific templates (for example, WhatsApp channel-specific templates) only accept the underscored format. Note that this field is required for WhatsApp channel-specific templates.

  - `translations.template_message.omni_template.parameters` (object)
    Required if the template has parameters. Concrete values must
be present for all defined parameters
in the template. Parameters can be different for
different versions and/or languages of the template.

  - `translations.template_message.omni_template.template_id` (string, required)
    The ID of the template. Note that, in the case of WhatsApp channel-specific templates, this field must be populated by the name of the template.

  - `translations.list_message` (object)

  - `translations.list_message.title` (string, required)
    A title for the message that is displayed near the products or choices.

  - `translations.list_message.description` (string)
    This is an optional field, containing a description for the message.

  - `translations.list_message.sections` (array, required)
    List of ListSection objects containing choices to be presented in the list message.

  - `translations.list_message.sections.title` (string)
    Optional parameter. Title for list section.

  - `translations.list_message.sections.items` (array, required)

  - `translations.list_message.sections.items.choice` (object, required)
    A message component for interactive messages, containing a choice.

  - `translations.list_message.sections.items.choice.title` (string, required)
    Required parameter. Title for the choice item.

  - `translations.list_message.sections.items.choice.description` (string)
    Optional parameter. The description (or subtitle) of this choice item.

  - `translations.list_message.sections.items.choice.media` (object)
    Optional parameter. The media of this choice item.

  - `translations.list_message.sections.items.choice.postback_data` (string)
    Optional parameter. Postback data that will be returned in the MO if the user selects this option.

  - `translations.list_message.sections.items.product` (object, required)
    A message component for interactive messages, containing a product.

  - `translations.list_message.sections.items.product.id` (string, required)
    Required parameter. The ID for the product.

  - `translations.list_message.sections.items.product.marketplace` (string, required)
    Required parameter. The marketplace to which the product belongs.
    Example: FACEBOOK

  - `translations.list_message.sections.items.product.quantity` (integer)
    Output only. The quantity of the chosen product.

  - `translations.list_message.sections.items.product.item_price` (number)
    Output only. The price for one unit of the chosen product.

  - `translations.list_message.sections.items.product.currency` (string)
    Output only. The currency of the item_price.

  - `translations.list_message.message_properties` (object)
    Additional properties for the message. Required if sending a product list message.

  - `translations.list_message.message_properties.catalog_id` (string)
    Required if sending a product list message. The ID of the catalog to which the products belong.

  - `translations.list_message.message_properties.menu` (string)
    Optional. Sets the text for the menu of a choice list message.

  - `translations.list_message.message_properties.whatsapp_header` (string)
    Optional. Sets the text for the header of a WhatsApp choice list message. Ignored for other channels.

  - `translations.contact_info_message` (object)

  - `translations.contact_info_message.name` (object, required)
    Name information of the contact.

  - `translations.contact_info_message.name.full_name` (string, required)
    Full name of the contact

  - `translations.contact_info_message.name.first_name` (string)
    First name.

  - `translations.contact_info_message.name.last_name` (string)
    Last name.

  - `translations.contact_info_message.name.middle_name` (string)
    Middle name.

  - `translations.contact_info_message.name.prefix` (string)
    Prefix before the name. e.g. Mr, Mrs, Dr etc.

  - `translations.contact_info_message.name.suffix` (string)
    Suffix after the name.

  - `translations.contact_info_message.phone_numbers` (array, required)
    Phone numbers of the contact

  - `translations.contact_info_message.phone_numbers.phone_number` (string, required)
    Phone number with country code included.

  - `translations.contact_info_message.phone_numbers.type` (string)
    Phone number type, e.g. WORK or HOME.

  - `translations.contact_info_message.addresses` (array)
    Physical addresses of the contact

  - `translations.contact_info_message.addresses.city` (string)
    City Name

  - `translations.contact_info_message.addresses.country` (string)
    Country Name

  - `translations.contact_info_message.addresses.state` (string)
    Name of a state or region of a country.

  - `translations.contact_info_message.addresses.zip` (string)
    Zip/postal code

  - `translations.contact_info_message.addresses.type` (string)
    Address type, e.g. WORK or HOME

  - `translations.contact_info_message.addresses.country_code` (string)
    Two letter country code.

  - `translations.contact_info_message.email_addresses` (array)
    Email addresses of the contact

  - `translations.contact_info_message.email_addresses.email_address` (string, required)
    Email address.

  - `translations.contact_info_message.email_addresses.type` (string)
    Email address type. e.g. WORK or HOME.

  - `translations.contact_info_message.organization` (object)
    Organization information of the contact.

  - `translations.contact_info_message.organization.company` (string)
    Company name

  - `translations.contact_info_message.organization.department` (string)
    Department at the company

  - `translations.contact_info_message.organization.title` (string)
    Corporate title, e.g. Software engineer

  - `translations.contact_info_message.urls` (array)
    URLs/websites associated with the contact

  - `translations.contact_info_message.urls.url` (string, required)
    The URL to be referenced

  - `translations.contact_info_message.urls.type` (string)
    Optional. URL type, e.g. Org or Social

  - `translations.contact_info_message.birthday` (string)
    Date of birth in YYYY-MM-DD format.

## Response default:

  - `default` (unknown)
    An unexpected error response.

## Response default fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

